lang/php56 - The NetBSD Packages Collection

PHP Hypertext Preprocessor version 5.6

PHP is an HTML-embedded scripting language. It is modular, with
some object-oriented features. Much of its syntax is borrowed from
C, Java and Perl with a couple of unique PHP-specific features
thrown in.  The language is designed to allow web developers to
write dynamically generated pages quickly.

This package provides PHP version 5.6.x.

NOTE: This version is on security support only, with planned End of Live
on December 31 2018. Update to PHP 7.1.x or 7.2.x is recommended.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/gmake devel/pkgconf

Runtime dependencies

textproc/libxml2 textproc/libxml2

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfphp-5.6.40nb4.tgz
NetBSD 8.0earmv7hfphp-5.6.40nb3.tgz
NetBSD 8.0earmv7hfphp-5.6.40nb4.tgz
NetBSD 8.0i386php-5.6.40nb3.tgz
NetBSD 8.0i386php-5.6.40nb4.tgz
NetBSD 8.0i386php-5.6.40nb4.tgz
NetBSD 8.0powerpcphp-5.6.40nb3.tgz
NetBSD 8.0powerpcphp-5.6.40nb4.tgz
NetBSD 8.0powerpcphp-5.6.40nb4.tgz
NetBSD 8.0x86_64php-5.6.40nb3.tgz
NetBSD 8.0x86_64php-5.6.40nb4.tgz
NetBSD 9.0aarch64php-5.6.40nb4.tgz
NetBSD 9.0aarch64php-5.6.40nb3.tgz
NetBSD 9.0aarch64php-5.6.40nb4.tgz
NetBSD 9.0alphaphp-5.6.40nb4.tgz
NetBSD 9.0alphaphp-5.6.40nb3.tgz
NetBSD 9.0alphaphp-5.6.40nb4.tgz
NetBSD 9.0earmphp-5.6.40nb3.tgz
NetBSD 9.0earmphp-5.6.40nb4.tgz
NetBSD 9.0earmv6hfphp-5.6.40nb4.tgz
NetBSD 9.0earmv6hfphp-5.6.40nb3.tgz
NetBSD 9.0earmv6hfphp-5.6.40nb4.tgz
NetBSD 9.0earmv6hfphp-5.6.40nb4.tgz
NetBSD 9.0earmv7hfphp-5.6.40nb4.tgz
NetBSD 9.0earmv7hfphp-5.6.40nb3.tgz
NetBSD 9.0earmv7hfphp-5.6.40nb4.tgz
NetBSD 9.0earmv7hfphp-5.6.40nb4.tgz
NetBSD 9.0i386php-5.6.40nb3.tgz
NetBSD 9.0i386php-5.6.40nb4.tgz
NetBSD 9.0m68kphp-5.6.40nb3.tgz
NetBSD 9.0m68kphp-5.6.40nb4.tgz
NetBSD 9.0mips64ebphp-5.6.40nb4.tgz
NetBSD 9.0mips64ebphp-5.6.40nb3.tgz
NetBSD 9.0mips64ebphp-5.6.40nb4.tgz
NetBSD 9.0mipselphp-5.6.40nb4.tgz
NetBSD 9.0powerpcphp-5.6.40nb4.tgz
NetBSD 9.0powerpcphp-5.6.40nb3.tgz
NetBSD 9.0sh3elphp-5.6.40nb3.tgz
NetBSD 9.0sh3elphp-5.6.40nb4.tgz
NetBSD 9.0sparc64php-5.6.40nb4.tgz
NetBSD 9.0sparc64php-5.6.40nb3.tgz
NetBSD 9.0sparc64php-5.6.40nb3.tgz
NetBSD 9.0sparc64php-5.6.40nb4.tgz
NetBSD 9.0sparcphp-5.6.40nb3.tgz
NetBSD 9.0sparcphp-5.6.40nb4.tgz
NetBSD 9.0x86_64php-5.6.40nb4.tgz
NetBSD 9.0x86_64php-5.6.40nb4.tgz
NetBSD 9.0x86_64php-5.6.40nb4.tgz
NetBSD 9.0x86_64php-5.6.40nb3.tgz
NetBSD 9.0x86_64php-5.6.40nb4.tgz
NetBSD 9.0x86_64php-5.6.40nb4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

disable-filter-url
Disable php://filter URL feature.
inet6
Enable support for IPv6.
maintainer-zts
Enable the Zend Thread Safety option for PHP.
php-embed
readline
Enable use of GNU readline library.
ssl
Enable SSL support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.